import { ReadableSpan } from '@opentelemetry/sdk-trace-base';
/**
 * A Sentry-specific exporter that converts OpenTelemetry Spans to Sentry Spans & Transactions.
 */
export declare class SentrySpanExporter {
    private _flushTimeout;
    private _finishedSpans;
    private _timeout;
    constructor(options?: {
        timeout?: number;
    });
    /** Export a single span. */
    export(span: ReadableSpan): void;
    /** Try to flush any pending spans immediately. */
    flush(): void;
    /** Clear the exporter. */
    clear(): void;
    /** Clear the flush timeout. */
    private _clearTimeout;
    /**
     * Remove any span that is older than 5min.
     * We do this to avoid leaking memory.
     */
    private _cleanupOldSpans;
}
//# sourceMappingURL=spanExporter.d.ts.map
